{% block user_list %}
    <div class="filter">
        {{ form_start(form) }}
            <a class="btn btn-default" href="/">Reset</a>
        {{ form_end(form) }}
    </div>
    <table class="table table-striped table-bordered">
        <th><a href="{{ order_link('username', query_params) }}">{{ 'Username'|trans({}, 'app') }}</a></th>
        <th><a href="{{ order_link('firstName', query_params) }}">{{ 'First Name'|trans({}, 'app') }}</a></th>
        <th><a href="{{ order_link('lastName', query_params) }}">{{ 'Last Name'|trans({}, 'app') }}</a></th>
        <th><a href="{{ order_link('email', query_params) }}">{{ 'Email'|trans({}, 'app') }}</a> </th>
        <th><a href="{{ order_link('enabled', query_params) }}">{{ 'Enabled'|trans({}, 'app') }}</a> </th>
        <th><a href="{{ order_link('lastLogin', query_params) }}">{{ 'Last Login'|trans({}, 'app') }}</a></th>
        <th>Actions</th>
        {% if users is not empty%}
            {% for user in users %}
                <tr>
                    <td>{{ user.username }}</td>
                    <td>{{ user.firstName }}</td>
                    <td>{{ user.lastName }}</td>
                    <td>{{ user.email }}</td>
                    <td>{{ user.enabled ? 'Yes' : 'No' }}</td>
                    <td>{{ user.lastLogin|date("d/m/Y H:i") }}</td>
                    <td>
                        <p><a href="{{ path('editUser', {'id' : user.id}) }}">{{ 'Edit'|trans({}, 'app') }}</a></p>
                        <p><a href="{{ path('removeUser', {'id' : user.id}) }}">{{ 'Remove'|trans({}, 'app') }}</a></p>
                    </td>
                </tr>
            {% endfor %}
        {% else %}
            <tr><td class="text-center" colspan="7">{{ 'No data found.'|trans({}, 'app') }}</td></tr>
        {% endif %}
    </table>
{% endblock %}

 {% block actions %}
     <a href="{{ path('createUser') }}">{{ 'New User'|trans({}, 'app') }}</a>
 {% endblock %}
